Name: zesarux
Summary: A Zx80/Zx81/Z88, Zx Spectrum 16/48/128/+2/+2A and ZX-Uno emulator with ULAPlus support 
Version: 10.10
Release: %mkrel 1
License: GPL3
Packager: Agent Smith <ruidobranco@yahoo.com.br>
Group: Emulators
Source0: %{name}-%{version}.tar.xz
Distribution: PCLinuxOS
Url:  https://github.com/chernandezba/zesarux

BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:  %{_lib}aa-devel
BuildRequires:  %{_lib}caca-devel
BuildRequires:	%{_lib}xxf86vm-devel

BuildRoot: 	%_tmppath/%name-%version-buildroot


%description

 ZEsarUX is a ZX Machines Emulator for Unix, including all the
 Sinclair computers: MK14, ZX80, ZX81, ZX Spectrum, QL, Z88 and
 also:  Timex TS 2068, Sam Coupe, Pentagon, Chloe 140 SE, 280 SE,
 Chrome, Prism, ZX-Uno, ZX-Evolution TS-Conf, TBBlue/ZX Spectrum Next,
 Jupiter Ace and Amstrad CPC 464.
 

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS=-O3
export LDFLAGS=-O3
cd src
./configure --enable-memptr --enable-visualmem --enable-cpustats --enable-ssl --disable-caca --disable-aa --disable-cursesw --prefix /usr

sed -i 's/tar -C/#tar -C/g' Makefile

make bintargz

%install

%__rm -rf %{buildroot}

# install launcher
# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name}.sh << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./%{name}
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}.sh

# install data
install -d %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/src/bintargztemp/ZEsarUX-X/* %{buildroot}%{_datadir}/%{name}/

# install icon
install -d -m 0755 %buildroot%_datadir/pixmaps
cp  $RPM_BUILD_DIR/%{name}-%{version}/src/%{name}_48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Zesarux
Comment=%{summary}
Exec=%{name}.sh
Icon=%{name}.png
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog

* Wed Oct 11 2023 Agent Smith  <ruidobranco@yahoo.com.br> 10.10-1pclos2023
- Updated the package  the package zesarux, with latest sources.

* Tue Sep 05 2023 Agent Smith  <ruidobranco@yahoo.com.br> 10.3-1pclos2023
- Updated the package  the package zesarux, with latest sources.

* Wed Nov 16 2022 Agent Smith  <ruidobranco@yahoo.com.br> 10.2-1pclos2022
- Updated the package  the package zesarux, with latest sources.

* Thu Jul 07 2022 Agent Smith  <ruidobranco@yahoo.com.br> 10.1-1pclos2022
- Updated the package  the package zesarux, with latest sources.

* Tue Oct 05 2021 Agent Smith  <ruidobranco@yahoo.com.br> 10.0-1pclos2021
- Updated the package  the package zesarux, with latest sources.

* Wed May 05 2021 Agent Smith  <ruidobranco@yahoo.com.br> 9.2-1pclos2021
- Created the package  the package zesarux, with latest sources.
